components/squid/http-squid
changeset 163 492ba3a66c6f
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/components/squid/http-squid	Mon Apr 04 15:06:13 2011 -0700
@@ -0,0 +1,54 @@
+#!/usr/bin/ksh93
+
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+# Copyright (c) 2009, 2011, Oracle and/or its affiliates. All rights reserved.
+#
+
+source /lib/svc/share/smf_include.sh
+
+typeset -r SQUID_HOME=/usr/squid
+typeset -r CONF_FILE=/etc/squid/squid.conf
+typeset -r PIDFILE=/var/squid/logs/squid.pid
+typeset -r SQUID="${SQUID_HOME}/sbin/squid"
+
+[[ ! -f ${CONF_FILE} ]] && exit $SMF_EXIT_ERR_CONFIG
+
+
+case "$1" in
+start)
+        /bin/rm -f ${PIDFILE}
+        if [[ ! -d /var/squid/cache/00 ]] ; then
+                out="$(${SQUID} -z)"
+        fi
+
+        exec ${SQUID} 2>&1
+        ;;
+stop)
+        exec ${SQUID} -k shutdown 2>&1
+        ;;
+*)
+        print "Usage: $0 {start|stop}"
+        exit 1
+        ;;
+esac
+
+# not reached